Opera < 9.01 Malformed JPEG Overflow

High Nessus Network Monitor Plugin ID 3662

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is using Opera 9.00. The version of Opera installed on the remote host contains a flaw in the way that it handles JPEG images. An attacker exploiting this flaw would need to be able to convince an Opera user to browse to a malicious URI. Successful exploitation would result in the browser crashing and possibly executing arbitrary code.

Solution

Upgrade to version 9.01 or higher.

See Also

http://www.opera.com

Plugin Details

Severity: High

ID: 3662

File Name: 3662.prm

Family: Web Clients

Published: 2006/06/22

Modified: 2016/01/21

Dependencies: 1735, 8314

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:U/RC:ND

CVSSv3

Base Score: 7.3

Temporal Score: 6.7

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:U/RL:U/RC:X

Vulnerability Information

CPE: cpe:/a:opera:opera_browser

Reference Information

CVE: CVE-2006-3198, CVE-2006-3331

BID: 18594, 18692

OSVDB: 26787, 26960